{ config, lib, pkgs, self, ... }:

let
  vatnajokull-ip = "100.89.248.65";
  cfg = config.samfelag.modules.server.vatnajokull;
in
{
  options.samfelag.modules.server.vatnajokull = {
    enable = lib.mkEnableOption "Vatnajokull NAS";
  };
  config = lib.mkIf cfg.enable {

    fileSystems = {
      "/mnt/vatnajokull" = {
        device = "${vatnajokull-ip}:/mnt/raid1";
        fsType = "nfs";
        options = [ "x-systemd.automount" "noauto" "noatime" "x-systemd.idle-timeout=600"];
      };
    };
  };
}
